<template>
  <view>
    <cu-custom bgColor="bg-gradual-blueness" :isBack="true">
      <block slot="content">管理系统</block>
    </cu-custom>
    <view class="register">
      <view class="reg-form">
        <view class="title">后台地址：</view>
        <view class="reg-input">
          <input  v-model="upBasePath" placeholder="请输入后台地址" name="upBasePath"></input>
        </view>
      </view>
    </view>
    <view class="cu-bar btn-group" style="margin-top: 30rpx;">
      <button class="cu-btn bg-blue margin-tb-sm lg" @click="goSubmit()">提交</button>
      <button class="cu-btn bg-green margin-tb-sm lg" @click="goback()">返回</button>
    </view>
    <view class="padding flex flex-direction"></view>
  </view>
</template>

<script>
import { requestPath, setBasePath } from '@/utils/request.js';
export default {
  data() {
    return {
      upBasePath: requestPath
    }
  },
  methods: {
    goSubmit() {
      var that = this
      setBasePath(that.upBasePath);
      uni.setStorageSync("upBasePath", that.upBasePath);
      that.goback()
    },
    goback() {
      uni.navigateTo({
        url: '/pages/login/login',
      });
    },
  }
}
</script>

<style>
page {
  background-color: #FFFFFF;
}
</style>
